<?php

/**
 * Class that operate on table 'billproperty'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2013-04-06 10:57
 */
class BillpropertyMySqlExtDAO extends BillpropertyMySqlDAO {

    public function queryAlllimted($start, $end) {
        $sql = 'SELECT * FROM billproperty  order by billpropertyid desc limit ' . $start . ',' . $end . '';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

    public function updatedel($billproperty) {
        $sql = 'UPDATE billproperty SET  conditions = ? WHERE billpropertyid = ?';
        $sqlQuery = new SqlQuery($sql);


        $sqlQuery->setNumber($billproperty->conditions);

        $sqlQuery->setNumber($billproperty->billpropertyid);
        return $this->executeUpdate($sqlQuery);
    }

    public function queryFirstOne($sqlQuery) {
        $sql = 'SELECT * FROM billproperty ' . $sqlQuery;
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>